//+------------------------------------------------------------------+
//|                                                  CloseOnTime.mq4 |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//|                                                                  |
//|       .                   |
//+------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

//---- input parameters
extern int   CloseHour     = 7;      // Time to close, hours
extern int   CloseMinute   = 0;      // Time to close, minutes
extern bool  UseCurrSymbol = False;  // Use one symbol only
extern bool  UseOneAccount = False;  // Use one account only
extern int   NumberAccount = 11111;  // Account number
extern int   Slippage      = 3;      // Slippage
extern color clCloseBuy    = Blue;   // Color of closing buy
extern color clCloseSell   = Red;    // Color of closing sell
extern int   Order_Ticket  =0;

void start() {
  double pBid, pAsk;

  if (UseOneAccount && AccountNumber()!=NumberAccount) {
    Comment("Working on the account: "+AccountNumber()+"is PROHIBITED!");
    return;
  } else Comment("");

  if (Hour()==CloseHour && Minute()>=CloseMinute) {
   OrderSelect(Order_Ticket,SELECT_BY_TICKET);
   if (OrderType()==OP_BUY && OrderCloseTime()==0)
            OrderClose(Order_Ticket, OrderLots(), Bid, Slippage, clCloseBuy);
            else if (OrderType()==OP_SELL && OrderCloseTime()==0)
            OrderClose(Order_Ticket, OrderLots(), Ask, Slippage, clCloseSell);
          
          
        
      
    
  }
}
//+------------------------------------------------------------------+